> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get an applicant by ID

GET https://api.propexo.com/v1/applicants/{id}

Get an applicant by ID

Reference: https://docs.propexo.com/api-reference/real-page-registered-vendor/applicants/get-an-applicant-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (Applicant, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Applicant

- `id` (string, required) — The Propexo unique identifier for the applicant
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation | | Resident Service ODE | GetResidentList |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation | | Resident Service ODE | GetResidentList |
- `x_lead_id` (any, required) — The external ID of the lead from the integration vendorThis field will always be null for REALPAGE
- `x_unit_id_preferred` (list of string, required) — The external IDs of the units from the integration vendor that the applicant is interested in | Interface | Method | |---|---| | Resident Service ODE | GetResidentList |
- `address_1_alternate` (any, required) — The first alternate address line associated with the applicantThis field will always be null for REALPAGE
- `address_1` (string, required, nullable) — The first address line associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
- `address_2_alternate` (any, required) — The second alternate address line associated with the applicantThis field will always be null for REALPAGE
- `address_2` (string, required, nullable) — The second address line associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
- `applications` (list of ApplicantApplicationsItems, required) — Applications that the applicant has submitted
- `city_alternate` (any, required) — The alternate city associated with the applicantThis field will always be null for REALPAGE
- `city` (string, required, nullable) — The city associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
- `country_alternate` (any, required) — The alternate country associated with the applicantThis field will always be null for REALPAGE
- `country` (string, required, nullable) — The country associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
- `custom_data` (ApplicantCustomData, required, nullable)
- `date_of_birth` (string, required, nullable) — The date of birth associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
- `email_1` (string, required, nullable) — The primary email address associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
- `email_2` (any, required) — The secondary email address associated with the applicantThis field will always be null for REALPAGE
- `first_name` (string, required, nullable) — The first name associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation | | Resident Service ODE | GetResidentList |
- `last_name` (string, required, nullable) — The last name associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation | | Resident Service ODE | GetResidentList |
- `middle_name` (string, required, nullable) — The middle name associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
- `notes` (any, required) — Notes associated with the applicantThis field will always be null for REALPAGE
- `phone_1_type` (enum, required) — Type of the primary phone number | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_1` (string, required, nullable) — Primary phone number associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
- `phone_2_type` (enum, required) — Type of the secondary phone number | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
- `state_alternate` (any, required) — The alternate state associated with the applicantThis field will always be null for REALPAGE
- `state` (string, required, nullable) — The state associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
- `type_normalized` (any, required) — The normalized type associated with the applicantThis field will always be null for REALPAGE
- `type_raw` (any, required) — The raw type associated with the applicantThis field will always be null for REALPAGE
- `zip_alternate` (any, required) — The alternate zip code associated with the applicantThis field will always be null for REALPAGE
- `zip` (string, required, nullable) — The zip code associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentGeneralInformation |
- `pets` (list of ApplicantPetsItems, required) — This field is not currently hydrated for REALPAGE
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `REALPAGE`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id_preferred` (list of string, required) — The Propexo unique identifiers for the units that the applicant is interested in | Interface | Method | |---|---| | Resident Service ODE | GetResidentList |
- `screenings` (list of ApplicantScreeningsItems, required)
- `x_unit_id` (string, required, nullable, deprecated) — DEPRECATED: Use x_unit_id_preferred instead | Interface | Method | |---|---| | Resident Service ODE | GetResidentList |
- `x_lease_id` (string, required, nullable, deprecated) — DEPRECATED: Not in use. | Interface | Method | |---|---| | Resident Service ODE | GetResidentList |
- `self_reported_income` (list of IncomeSource, optional) — Self reported income sources for the applicantThis field is not currently hydrated for REALPAGE

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### ApplicantApplicationsItems

- `applicant_id` (string, required) — | Interface | Method | |---|---| | Resident Service ODE | GetResidentList |
- `application_id` (string, required) — | Interface | Method | |---|---| | Resident Service ODE | GetResidentList |
- `status_raw` (string, optional, nullable) — The raw status associated with the applicant | Interface | Method | |---|---| | Resident Service ODE | GetResidentList |
- `status_normalized` (ApplicantApplicationsItemsStatusNormalized, optional, nullable) — The normalized status associated with the applicant. Confirm these derived values before using them in production. | Interface | Method | |---|---| | Resident Service ODE | GetResidentList |
- `custom_data` (ApplicantApplicationsItemsCustomData, optional, nullable)
- `status` (any, optional, deprecated) — DEPRECATED. Use status\_raw or status\_normalizedThis field will always be null for REALPAGE

### ApplicantCustomData

### ApplicantPetsItems

- `id` (string, required) — The Propexo unique identifier for the applicant pet
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `age_in_years` (double, required, nullable) — The age in years of the applicant petThis field is not currently hydrated for REALPAGE
- `breed` (string, required, nullable) — The breed of the applicant petThis field is not currently hydrated for REALPAGE
- `color` (string, required, nullable) — The color of the applicant petThis field is not currently hydrated for REALPAGE
- `gender_raw` (string, required, nullable) — The raw value for the gender of the applicant petThis field is not currently hydrated for REALPAGE
- `is_declawed` (boolean, required, nullable) — Whether the applicant pet is declawedThis field is not currently hydrated for REALPAGE
- `is_fixed` (boolean, required, nullable) — Whether the applicant pet is fixedThis field is not currently hydrated for REALPAGE
- `is_service_animal` (boolean, required, nullable) — Whether the applicant pet is a service animalThis field is not currently hydrated for REALPAGE
- `is_trained` (boolean, required, nullable) — Whether the applicant pet is trainedThis field is not currently hydrated for REALPAGE
- `is_vaccinated` (boolean, required, nullable) — Whether the applicant pet is vaccinatedThis field is not currently hydrated for REALPAGE
- `name` (string, required, nullable) — The name associated with the applicant petThis field is not currently hydrated for REALPAGE
- `notes` (string, required, nullable) — Notes associated with the applicant petThis field is not currently hydrated for REALPAGE
- `type` (string, required, nullable) — The type associated with the applicant petThis field is not currently hydrated for REALPAGE
- `weight_in_pounds` (double, required, nullable) — The weight in pounds of the applicant petThis field is not currently hydrated for REALPAGE
- `custom_data` (ApplicantPetsItemsCustomData, required, nullable)

### ApplicantScreeningsItems

- `id` (string, required) — The Propexo ID of the screening
- `created_at` (string, required) — The date record first entered Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Prospect Management ODE | ProspectSearch |
- `status_raw` (string, required, nullable) — The status/results of the screening | Interface | Method | |---|---| | Prospect Management ODE | ProspectSearch |
- `screening_date` (any, required) — The date the screening took placeThis field will always be null for REALPAGE

### IncomeSource

- `amount_in_cents` (double, required, nullable) — The total income of the applicant, in centsThis field is not currently hydrated for REALPAGE
- `amount_raw` (string, required, nullable) — The total income amount of the applicantThis field is not currently hydrated for REALPAGE
- `type_normalized` (any, required) — The type of income of the applicantThis field will always be null for REALPAGE
- `type_raw` (any, required) — The type of income of the applicantThis field will always be null for REALPAGE

### ApplicantApplicationsItemsStatusNormalized

The normalized status associated with the applicant. Confirm these derived values before using them in production. | Interface | Method | |---|---| | Resident Service ODE | GetResidentList |

### ApplicantApplicationsItemsCustomData

### ApplicantPetsItemsCustomData

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "res12345",
    "x_property_id": "prop67890",
    "x_lead_id": null,
    "x_unit_id_preferred": [
      "123",
      "456"
    ],
    "address_1_alternate": null,
    "address_1": "123 Main St",
    "address_2_alternate": null,
    "address_2": "Apt 4B",
    "applications": [
      {
        "applicant_id": "clwktsp9v000008l31iv218hn",
        "application_id": "app78901",
        "status_raw": "Approved by management",
        "status_normalized": "APPROVED",
        "custom_data": {},
        "status": null
      }
    ],
    "city_alternate": null,
    "city": "Boston",
    "country_alternate": null,
    "country": "US",
    "custom_data": {},
    "date_of_birth": "1985-07-14",
    "email_1": "sally.jones@example.com",
    "email_2": null,
    "first_name": "Sally",
    "last_name": "Jones",
    "middle_name": "Gail",
    "notes": null,
    "phone_1_type": "MOBILE",
    "phone_1": "(617) 555-1234",
    "phone_2_type": "FAX",
    "phone_2": "(617) 555-5678",
    "state_alternate": null,
    "state": "MA",
    "type_normalized": null,
    "type_raw": null,
    "zip_alternate": null,
    "zip": "02116",
    "pets": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "created_at": "2024-03-21T15:38:08.337Z",
        "updated_at": "2024-03-22T10:59:45.119Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "pet12345",
        "age_in_years": 3.5,
        "breed": "Golden Retriever",
        "color": "Golden",
        "gender_raw": "Female",
        "is_declawed": false,
        "is_fixed": true,
        "is_service_animal": false,
        "is_trained": true,
        "is_vaccinated": true,
        "name": "Buddy",
        "notes": "Very friendly and well-behaved",
        "type": "Dog",
        "weight_in_pounds": 65,
        "custom_data": {}
      }
    ],
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "REALPAGE",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "unit_id_preferred": [
      "testintegration:123:123",
      "testintegration:456:456"
    ],
    "screenings": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "created_at": "2024-03-21T15:38:08.337Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "screening7890",
        "status_raw": "Clear",
        "screening_date": null
      }
    ],
    "x_unit_id": "unit54321",
    "x_lease_id": "lease98765",
    "self_reported_income": [
      {
        "amount_in_cents": 325000,
        "amount_raw": "$3,250.00",
        "type_normalized": null,
        "type_raw": null
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applicants/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applicants/id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applicants/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applicants/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/applicants/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/applicants/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applicants/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applicants/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```